openhatch

Issue642

Title Diff/patch mission needs more / better architected hints
Milestone 0.11.12 Priority bug
Waiting On Status resolved
Superseder Nosy List aldeka, paulproteus
Assigned To paulproteus Keywords

Created on 2011-12-04.22:46:58 by aldeka, last changed 2012-01-28.01:10:23 by paulproteus.

Messages
msg2916 (view) Author: paulproteus Date: 2012-01-28.01:10:22
I'm going to mark this a resolved for now, because:

* The first diff/patch mission now has hints that use tabs.
* The rest of them are going to be changed dramatically by the new plot.

You can see the new tab-based hints here:
http://openhatch.org/missions/diffpatch/single_patch

Thanks to aldeka for reviewing this while on IRC earlier today. Deploying!
msg2915 (view) Author: paulproteus Date: 2012-01-27.23:07:04
I'm going to take this, and use a tab accordion.
msg2788 (view) Author: aldeka Date: 2011-12-04.22:46:58
On the first and second steps of the mission, all hints are available from the very beginning. The 
link to the patch man page is a good start, though -- we just need to hide away the intermediate 
and easy hints until the user asks for them.

On the third and fourth, there's hardly any hints at all. Links to documentation for grep and the 
syntax for sending a patch output to a file would be helpful here.
History
Date User Action Args
2012-01-28 01:10:23paulproteussetstatus: chatting -> resolved
messages: + msg2916
2012-01-27 23:07:05paulproteussetstatus: unread -> chatting
assignedto: paulproteus
messages: + msg2915
2011-12-10 21:32:22paulproteussetmilestone: 0.11.12
2011-12-04 22:46:58aldekacreate